#include <iostream>
#include <cstdio>
using namespace std;
int a[1000001];
int x[10]={0,0,0,0,0,0,0,0,0,0};
int ispisi(int k,int l,int n)
{
    int ind1=0,ind2=0;
    for(int i=0;i<n;i++)
        if(a[i]==k)
        {
            a[i]=l;
            break;
        }
    for(int i=n-1;i>=0;i--)
        if(a[i]==l)
        {
            a[i]=k;
            break;
        }
    for(int i=0;i<n;i++)
        printf("%d ",a[i]);
    return 1;
}
int main()
{
    int n,ind=0;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
        x[a[i]]++;
    }
    int j=9;
    for(int i=0;i<n && j>=0;i++)
    {
        while(x[j]==0)
            j--;
        if(a[i]==j)
            x[j]--;
        if(a[i]<j)
        {
            ind=ispisi(a[i],j,n);
            break;
        }
    }
    if(ind==0)
    {
        for(int i=0;i<n-2;i++)
            printf("%d ",a[i]);
            cout<<a[n-1]<<" ";
            cout<<a[n-2];
    }
}